// SPDX-License-Identifier: Zlib
/* ------------------------------------------------------------------------- */
/*!
 *  \file       text_format.h
 *  \brief      テキストフォーマット
 *  \date       Since: June 28, 2021. 10:30:48 JST.
 *  \author     Acerola
 */
/* ------------------------------------------------------------------------- */

#ifndef INCGUARD_TEXT_FORMAT_H_1624843848
#define INCGUARD_TEXT_FORMAT_H_1624843848

#include <mtk/text_format_argument.h>

namespace MTK
{
std::string Format(const std::string &text, const FormatArgs &args = FormatArgs()) noexcept;
}   // namespace MTK


#endif	// INCGUARD_TEXT_FORMAT_H_1624843848

// vim: et ts=4 sw=4 sts=4
